ANORACK(1)

NAME
anorack - “a” vs “an” checker

SYNOPSIS

anorack [option...] [file...]

DESCRIPTION

The English language has two indefinite articles:

•   a: used before words that begin with a consonant sound (e.g., a program, a host, a user);

•   an: used before words that begin with a vowel sound (e.g., an example, an hour, an undefined variable).

    anorack is a specialized spell-checker that finds incorrect indefinite articles.

OPTIONS

--ipa
    Print phonemes using IPA (International Phonetic Alphabet) instead of ASCII phoneme mnemonics.

-h, --help
    Show help message and exit.

--version
    Show version information and exit.

EXAMPLE

$ cat test
a Ubuntu user
a 8-byte word
an username
$ anorack test
test:1: a Ubuntu -> an Ubuntu /u:b'u:ntu:/
test:2: a 8 -> an 8 /'eIt/
test:3: an username -> a username /j'u:z3n,eIm/

SEE ALSO

espeak(1)